/*
 * lightsense.h
 *
 *  Created on: Oct 13, 2024
 *      Author: true
 */

#ifndef USER_HW_LIGHTSENSE_H_
#define USER_HW_LIGHTSENSE_H_


#include <stdint.h>



uint8_t lsens_get_coarse();
uint16_t lsens_get_fine();

uint16_t lsens_get_dark_threshold();
void     lsens_set_dark_threshold(uint16_t threshold);



#endif /* USER_HW_LIGHTSENSE_H_ */
